Summary:	Library to allow MATE Desktop to display weather information
Summary(pl.UTF-8):	Biblioteka umożliwiająca wyświetlanie informacji pogodowych w środowisku MATE Desktop
Name:		libmateweather
Version:	1.28.0
Release:	2
License:	GPL v2+
Group:		X11/Libraries
Source0:	https://pub.mate-desktop.org/releases/1.28/%{name}-%{version}.tar.xz
# Source0-md5:	f42374dc7500ea7be0d8cb5793106b83
URL:		https://wiki.mate-desktop.org/mate-desktop/libraries/libmateweather/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.19.8
BuildRequires:	glib2-devel >= 1:2.56.0
BuildRequires:	gtk+3-devel >= 3.22
BuildRequires:	gtk-doc >= 1.11
BuildRequires:	libsoup-devel >= 2.54.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 1:2.6.0
BuildRequires:	mate-common
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRequires:	tar >= 1:1.22
BuildRequires:	tzdata-zoneinfo >= 2016g
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.56.0
Requires:	gsettings-desktop-schemas
Requires:	gtk+3 >= 3.22
Requires:	hicolor-icon-theme
Requires:	libsoup >= 2.54.0
Requires:	libxml2 >= 1:2.6.0
Requires:	tzdata-zoneinfo >= 2016g
Obsoletes:	python-mateweather < 1.18.0
Conflicts:	mate-applet-gweather < 1.6.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libmateweather is a library to allow MATE Desktop to display weather
information. It's a fork of libgweather.

%description -l pl.UTF-8
libmateweather to biblioteka umożliwiająca wyświetlanie informacji
pogodowych w środowisku MATE Desktop. Jest odgałęzieniem libgweather.

%package devel
Summary:	Development files for libmateweather
Summary(pl.UTF-8):	Pliki programistyczne biblioteki libmateweather
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.56.0
Requires:	gtk+3-devel >= 3.22
Requires:	libsoup-devel >= 2.54.0
Requires:	libxml2-devel >= 1:2.6.0

%description devel
Development files for libmateweather.

%description devel -l pl.UTF-8
Pliki programistyczne biblioteki libmateweather.

%package apidocs
Summary:	libmateweather API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libmateweather
Group:		Documentation
Requires:	gtk-doc-common
BuildArch:	noarch

%description apidocs
libmateweather API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libmateweather.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--with-zoneinfo-dir=%{_datadir}/zoneinfo \
	--disable-silent-rules \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmateweather.la

# outdated copy of es
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/es_ES
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ie,jv,ku_IQ}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%update_icon_cache hicolor
%glib_compile_schemas

%postun
/sbin/ldconfig
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmateweather.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmateweather.so.1
%{_datadir}/libmateweather
%{_datadir}/glib-2.0/schemas/org.mate.weather.gschema.xml
%{_iconsdir}/hicolor/*x*/status/weather-*.png
%{_iconsdir}/hicolor/scalable/status/weather-*.svg

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmateweather.so
%{_includedir}/libmateweather
%{_pkgconfigdir}/mateweather.pc

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libmateweather
%changelog
* Sat Jul 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmateweather.git;a=log;h=master

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 319a68a
- Release 2 (by relup.sh)

* Sun May 26 2024 Jakub Bogusz <qboosh@pld-linux.org> 938d7fe
- updated to 1.28.0

* Tue Dec 26 2023 Jan Palus <atler@pld-linux.org> 1b6b846
- up to 1.26.3

* Thu Oct 19 2023 Jan Palus <atler@pld-linux.org> a1a383c
- up to 1.26.2

* Thu May 11 2023 Jan Palus <atler@pld-linux.org> 95e3083
- up to 1.26.1

* Thu May 11 2023 Jan Palus <atler@pld-linux.org> 194c12c
- drop remainings of python bindings

* Wed Aug 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 963f77f
- updated icon theme dependency

* Wed Aug 25 2021 Jakub Bogusz <qboosh@pld-linux.org> bc164b2
- rpm version for noarch subpackage

* Wed Aug 25 2021 Jakub Bogusz <qboosh@pld-linux.org> 8a7bd47
- updated URL, versioned Obsoletes

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 5b1e083
- up to 1.26.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 351c846
- unconditional noarch subpackages

* Thu Aug 13 2020 Jan Palus <atler@pld-linux.org> f8099f9
- up to 1.24.1

* Mon Feb 10 2020 Jan Palus <atler@pld-linux.org> fad4394
- up to 1.24.0

* Thu Sep 19 2019 Jan Palus <atler@pld-linux.org> a43a568
- up to 1.22.1

* Wed Apr 03 2019 Jan Palus <atler@pld-linux.org> 0d0e917
- up to 1.22.0

* Sun Dec 16 2018 Jan Palus <atler@pld-linux.org> 19e7af1
- up to 1.20.2

* Wed Jun 13 2018 Jan Palus <atler@pld-linux.org> e0ea10f
- up to 1.20.1

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> b662ff7
- up to 1.20.0

* Wed Nov 08 2017 Jan Palus <atler@pld-linux.org> b6fabbc
- up to 1.18.2

* Sat May 20 2017 Jan Palus <atler@pld-linux.org> 5bcb8c1
- up to 1.18.1

